package com.platform.yijia.param.request;

/***
 * <Title> AppUserInfoRequest </Title>
 * <Description> 公众号小程序注册用户信息实体类  </Description>
 * @date  2020年12月15日
 * @Author JK
 */
public class AppUserInfoRequest {
    private String userType;        //注册类型：1-微信公众号；2-微信小程序
    private String blogOpenid;      //公众号的openid
    private String minaOpenid;      //小程序的openid
    private String mobilePhone;     //注册者手机号码
    private String blogNickName;    //注册者昵称
    private String sexFlag;         //注册者性别：M-男  W：女
    private String registeDate;     //注册时间
    private String blogToken;       //公众号用户token信息
    private String minaToken;       //小程序用户token信息
    private String blogProfilePhoto;    //用户头像
    private String updateDate;          //更新时间

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getBlogOpenid() {
        return blogOpenid;
    }

    public void setBlogOpenid(String blogOpenid) {
        this.blogOpenid = blogOpenid;
    }

    public String getMinaOpenid() {
        return minaOpenid;
    }

    public void setMinaOpenid(String minaOpenid) {
        this.minaOpenid = minaOpenid;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public String getBlogNickName() {
        return blogNickName;
    }

    public void setBlogNickName(String blogNickName) {
        this.blogNickName = blogNickName;
    }

    public String getSexFlag() {
        return sexFlag;
    }

    public void setSexFlag(String sexFlag) {
        this.sexFlag = sexFlag;
    }

    public String getRegisteDate() {
        return registeDate;
    }

    public void setRegisteDate(String registeDate) {
        this.registeDate = registeDate;
    }

    public String getBlogToken() {
        return blogToken;
    }

    public void setBlogToken(String blogToken) {
        this.blogToken = blogToken;
    }

    public String getMinaToken() {
        return minaToken;
    }

    public void setMinaToken(String minaToken) {
        this.minaToken = minaToken;
    }

    public String getBlogProfilePhoto() {
        return blogProfilePhoto;
    }

    public void setBlogProfilePhoto(String blogProfilePhoto) {
        this.blogProfilePhoto = blogProfilePhoto;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }
}
